For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
  • Event API
      • GETGet a list of alerts
      • POSTCreate an alert
      • GETGet an alert by its ID
LoginSandbox
Event APIAlerts

Create an alert

POST
/v:version/alerts
POST
/v:version/alerts
$curl -X POST https://test.api.solvimon.com/v1/alerts \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "platform_id": "string",
> "alert_rule_id": "string",
> "customer_id": "string",
> "type": "ENTITLEMENT",
> "alert_data": {}
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "platform_id": "string",
5 "created_at": "string",
6 "alert_rule_id": "string",
7 "alert_rule": {
8 "object_type": "string",
9 "id": "string",
10 "reference": "string",
11 "name": "string",
12 "description": "string",
13 "status": "DRAFT",
14 "customer_ids": [
15 "string"
16 ],
17 "customers": [
18 {
19 "object_type": "string",
20 "id": "string",
21 "created_at": "string",
22 "parent_customer_id": "string",
23 "parent_customer_ids": [
24 "string"
25 ],
26 "reference": "string",
27 "status": "DRAFT",
28 "timezone": "string",
29 "type": "ORGANIZATION",
30 "email": "string",
31 "notification_preferences": [
32 {
33 "type": "INVOICE",
34 "channels": [
35 {
36 "type": "EMAIL",
37 "enabled": true
38 }
39 ]
40 }
41 ],
42 "locale": "string",
43 "individual": {
44 "name": {
45 "first_name": "string",
46 "last_name": "string",
47 "infix": "string"
48 },
49 "residential_address": {
50 "line1": "string",
51 "line2": "string",
52 "city": "string",
53 "postal_code": "string",
54 "state": "string",
55 "country": "AD"
56 }
57 },
58 "organization": {
59 "legal_name": "string",
60 "tax_id": "string",
61 "tax_ids": [
62 {
63 "id": "string",
64 "type": "GENERIC_TAX_ID",
65 "display_name": "string",
66 "tax_id_validation_result": {
67 "id": "string",
68 "validation_date": "string",
69 "source": "string",
70 "valid": "VALID",
71 "message": "string"
72 }
73 }
74 ],
75 "registration_number": "string",
76 "tax_exempt": true,
77 "tax_exempt_note": "string",
78 "registered_address": {
79 "line1": "string",
80 "line2": "string",
81 "city": "string",
82 "postal_code": "string",
83 "state": "string",
84 "country": "AD"
85 },
86 "tax_registrations": [
87 {
88 "id": "string",
89 "description": "string",
90 "tax_id": "string",
91 "tax_ids": [
92 {
93 "id": "string",
94 "type": "GENERIC_TAX_ID",
95 "display_name": "string",
96 "tax_id_validation_result": {
97 "id": "string",
98 "validation_date": "string",
99 "source": "string",
100 "valid": "VALID",
101 "message": "string"
102 }
103 }
104 ],
105 "registration_number": "string",
106 "registered_address": {
107 "line1": "string",
108 "line2": "string",
109 "city": "string",
110 "postal_code": "string",
111 "state": "string",
112 "country": "AD"
113 }
114 }
115 ]
116 },
117 "custom_fields": [
118 {
119 "id": "string",
120 "reference": "string",
121 "value": "string",
122 "values": [
123 "string"
124 ],
125 "integration_details": {
126 "id": "string",
127 "reference": "string",
128 "payment_gateway_variant": "ADYEN",
129 "adyen": {
130 "recurring_detail_reference": "string"
131 },
132 "stripe": {
133 "payment_method_id": "string"
134 }
135 }
136 }
137 ],
138 "processing_only": true,
139 "pricing_plan_subscription_selector": {
140 "data": [
141 {
142 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
143 "value": "string"
144 }
145 ],
146 "rules": [
147 {
148 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
149 "type": "EQUALS"
150 }
151 ],
152 "filters": [
153 {
154 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
155 "type": "EQUALS",
156 "value": "string"
157 }
158 ],
159 "fallback": "LATEST"
160 },
161 "linked_integrations": [
162 {
163 "id": "string",
164 "link_details": [
165 {
166 "url": "string",
167 "custom_field_name": "string"
168 }
169 ]
170 }
171 ],
172 "roles": [
173 "DEFAULT"
174 ],
175 "seller_details": {
176 "default_billing_entity_id": "string"
177 }
178 }
179 ],
180 "type": "ENTITLEMENT",
181 "trigger_type": "STATIC",
182 "entitlement": {
183 "feature_id": "string",
184 "feature": {
185 "object_type": "string",
186 "id": "string",
187 "reference": "string",
188 "name": "string",
189 "description": "string",
190 "type": "SWITCH",
191 "enum_values": [
192 "string"
193 ],
194 "meter_value_calculation_id": "string",
195 "meter_value_calculation": {
196 "object_type": "string",
197 "id": "string",
198 "reference": "string",
199 "name": "string",
200 "description": "string",
201 "calculation_type": "SUM",
202 "persist": true,
203 "meter_id": "string",
204 "meter": {
205 "object_type": "string",
206 "id": "string",
207 "reference": "string",
208 "name": "string",
209 "description": "string",
210 "status": "DRAFT",
211 "meter_values": [
212 {
213 "id": "string",
214 "object": {
215 "object_type": "string",
216 "id": "string",
217 "reference": "string",
218 "name": "string",
219 "description": "string",
220 "status": "DRAFT",
221 "type": "NUMBER"
222 },
223 "required": true
224 }
225 ],
226 "meter_properties": [
227 {
228 "id": "string",
229 "object": {
230 "object_type": "string",
231 "id": "string",
232 "reference": "string",
233 "name": "string",
234 "description": "string",
235 "status": "DRAFT",
236 "type": "NUMBER",
237 "enum_values": [
238 "string"
239 ]
240 },
241 "required": true
242 }
243 ]
244 },
245 "meter_value_id": "string",
246 "meter_value": {
247 "object_type": "string",
248 "id": "string",
249 "reference": "string",
250 "name": "string",
251 "description": "string",
252 "status": "DRAFT",
253 "type": "NUMBER"
254 },
255 "meter_property_id": "string",
256 "meter_property": {
257 "object_type": "string",
258 "id": "string",
259 "reference": "string",
260 "name": "string",
261 "description": "string",
262 "status": "DRAFT",
263 "type": "NUMBER",
264 "enum_values": [
265 "string"
266 ]
267 }
268 }
269 },
270 "comparator": "EQUALS",
271 "threshold": {
272 "number": "string",
273 "percentage": "string",
274 "amount": {
275 "quantity": "string",
276 "currency": "AED"
277 }
278 }
279 },
280 "invoice": {
281 "variant": "OVERDUE",
282 "overdue": {
283 "comparator": "EQUALS",
284 "threshold": {
285 "type": "DAY",
286 "value": 1
287 }
288 }
289 }
290 },
291 "customer_id": "string",
292 "customer": {
293 "object_type": "string",
294 "id": "string",
295 "created_at": "string",
296 "parent_customer_id": "string",
297 "parent_customer_ids": [
298 "string"
299 ],
300 "reference": "string",
301 "status": "DRAFT",
302 "timezone": "string",
303 "type": "ORGANIZATION",
304 "email": "string",
305 "notification_preferences": [
306 {
307 "type": "INVOICE",
308 "channels": [
309 {
310 "type": "EMAIL",
311 "enabled": true
312 }
313 ]
314 }
315 ],
316 "locale": "string",
317 "individual": {
318 "name": {
319 "first_name": "string",
320 "last_name": "string",
321 "infix": "string"
322 },
323 "residential_address": {
324 "line1": "string",
325 "line2": "string",
326 "city": "string",
327 "postal_code": "string",
328 "state": "string",
329 "country": "AD"
330 }
331 },
332 "organization": {
333 "legal_name": "string",
334 "tax_id": "string",
335 "tax_ids": [
336 {
337 "id": "string",
338 "type": "GENERIC_TAX_ID",
339 "display_name": "string",
340 "tax_id_validation_result": {
341 "id": "string",
342 "validation_date": "string",
343 "source": "string",
344 "valid": "VALID",
345 "message": "string"
346 }
347 }
348 ],
349 "registration_number": "string",
350 "tax_exempt": true,
351 "tax_exempt_note": "string",
352 "registered_address": {
353 "line1": "string",
354 "line2": "string",
355 "city": "string",
356 "postal_code": "string",
357 "state": "string",
358 "country": "AD"
359 },
360 "tax_registrations": [
361 {
362 "id": "string",
363 "description": "string",
364 "tax_id": "string",
365 "tax_ids": [
366 {
367 "id": "string",
368 "type": "GENERIC_TAX_ID",
369 "display_name": "string",
370 "tax_id_validation_result": {
371 "id": "string",
372 "validation_date": "string",
373 "source": "string",
374 "valid": "VALID",
375 "message": "string"
376 }
377 }
378 ],
379 "registration_number": "string",
380 "registered_address": {
381 "line1": "string",
382 "line2": "string",
383 "city": "string",
384 "postal_code": "string",
385 "state": "string",
386 "country": "AD"
387 }
388 }
389 ]
390 },
391 "custom_fields": [
392 {
393 "id": "string",
394 "reference": "string",
395 "value": "string",
396 "values": [
397 "string"
398 ],
399 "integration_details": {
400 "id": "string",
401 "reference": "string",
402 "payment_gateway_variant": "ADYEN",
403 "adyen": {
404 "recurring_detail_reference": "string"
405 },
406 "stripe": {
407 "payment_method_id": "string"
408 }
409 }
410 }
411 ],
412 "processing_only": true,
413 "pricing_plan_subscription_selector": {
414 "data": [
415 {
416 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
417 "value": "string"
418 }
419 ],
420 "rules": [
421 {
422 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
423 "type": "EQUALS"
424 }
425 ],
426 "filters": [
427 {
428 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
429 "type": "EQUALS",
430 "value": "string"
431 }
432 ],
433 "fallback": "LATEST"
434 },
435 "linked_integrations": [
436 {
437 "id": "string",
438 "link_details": [
439 {
440 "url": "string",
441 "custom_field_name": "string"
442 }
443 ]
444 }
445 ],
446 "roles": [
447 "DEFAULT"
448 ],
449 "seller_details": {
450 "default_billing_entity_id": "string"
451 }
452 },
453 "type": "ENTITLEMENT",
454 "data_trigger_reference": "string",
455 "alert_data": {
456 "entitlement": {
457 "pricing_plan_subscription_id": "string",
458 "entitlement_value": {
459 "number": "string",
460 "amount": {
461 "quantity": "string",
462 "currency": "AED"
463 }
464 },
465 "threshold_value": {
466 "number": "string",
467 "amount": {
468 "quantity": "string",
469 "currency": "AED"
470 }
471 },
472 "used_value": {
473 "number": "string",
474 "amount": {
475 "quantity": "string",
476 "currency": "AED"
477 }
478 }
479 },
480 "invoice": {
481 "id": "string",
482 "overdue": {
483 "due_date": "2024-01-15T09:30:00Z",
484 "overdue_period": {
485 "type": "DAY",
486 "value": 1
487 }
488 }
489 }
490 }
491}
Was this page helpful?
Previous

Get an alert by its ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
platform_idstringRequired
Resource ID of type PLATFORM
alert_rule_idstringRequired

Resource ID of type ALERT_RULE

customer_idstringRequired
Resource ID of type CUSTOMER
typeenumRequired
Allowed values:
alert_dataobjectRequired
alert_ruleobject or nullOptional
customerobject or nullOptional
data_trigger_referencestring or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
platform_idstring
Resource ID of type PLATFORM
created_atstring or nullRead-only
alert_rule_idstring

Resource ID of type ALERT_RULE

alert_ruleobject or null
customer_idstring
Resource ID of type CUSTOMER
customerobject or null
typeenum
Allowed values:
data_trigger_referencestring or null
alert_dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error